SetPackageInfo( rec(
PackageName := "raq",
Subtitle := "Racks And Quandles in GAP",
Version := "0.1.0",
Date := "2017-Oct-17",
ArchiveURL := "<n/a>",
ArchiveFormats := "-win.zip .tar.gz",

Persons := [
  rec( 
    LastName      := "Whitney",
    FirstNames    := "Glen",
    IsAuthor      := true,
    IsMaintainer  := true,
    Email         := "gwhitney@post.harvard.edu",
    WWWHome       := "http://mathwalks.org",
    PostalAddress := Concatenation( [
                       "523 Rialto Ave.\n",
                       "Venice, CA 90291\n",
                       "USA" ] ),
    Place         := "Venice",
    Institution   := "mathwalks.org"
  ),
  rec( 
    LastName      := "Vendramin",
    FirstNames    := "Leandro",
    IsAuthor      := true,
    IsMaintainer  := false,
    Email         := "lvendramin@dm.uba.ar",
    WWWHome       := "http://mate.dm.uba.ar/~lvendram/",
    PostalAddress := Concatenation( [
                       "Departamento de matemática, FCEyN, UBA",
                       "Ciudad Universitaria, Pab. 1,\n",
                       "Buenos Aires, Argentina" ] ),
    Place         := "Buenos Aires",
    Institution   := "UBA"
  )
],

##  Status information. Currently the following cases are recognized:
##    "accepted"      for successfully refereed packages
##    "deposited"     for packages for which the GAP developers agreed 
##                    to distribute them with the core GAP system
##    "dev"           for development versions of packages 
##    "other"         for all other packages
##
Status := "dev",

README_URL := 
  "<n/a>",
PackageInfoURL := 
  "<n/a>",

AbstractHTML := Concatenation( 
    "The <span class=\"pkgname\">RAQ</span> package provides researchers ",
    "with means of representing and computing with general one-sided ",
    "quasigroups, but more more particularly with racks and quandles. ",
    "This package builds on fundamentals of non-associated algebra ",
    "established in the <span class=\"pkgname\">LOOPS</span> package, and ",
    "and provides enhanced functionality, libraries, and implementations ",
    "as compared to the earlier <span class=\"pkgname\">RIG</span> package ",
    "on which <span class=\"pkgname\">RAQ</span> is loosely modeled."
  ),

PackageWWWHome := "<n/a>",
               
PackageDoc := rec(
  BookName  := "raq",
  ArchiveURLSubset := ["doc", "htm"],
  HTMLStart := "doc/chap0.html",
  PDFFile   := "doc/manual.pdf",
  SixFile   := "doc/manual.six",
  LongTitle := "The RAQ Package: Racks And Quandles in GAP",
  Autoload  := true     # only for the documentation, TEMPORARILY TURNED OFF
),


Dependencies := rec(
  GAP := ">=4.4",
  NeededOtherPackages := [["loops","3.3.0"]],
  SuggestedOtherPackages := [],
  ExternalConditions := []
),

AvailabilityTest := ReturnTrue,
BannerString := Concatenation("--\nRAQ, Racks And Quandles in GAP, Version ",
                              ~.Version, ".\n--\n"),

Autoload := false,  # false for deposited packages
TestFile := "tst/testall.g",
Keywords := ["quasigroup", "self-distributive", "rack", "quandle",
             "nichols algebra", "knots"]
));
